- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# forcing_constraint_action Class Reference

Detect and process forcing constraints and useless constraints. More...

`#include <CoinPresolveForcing.hpp>`

Inheritance diagram for forcing_constraint_action:

[legend]
Collaboration diagram for forcing_constraint_action:

[legend]
List of all members.

## Public Member Functions
| forcing_constraint_action (int nactions, const action *actions, const CoinPresolveAction *next)
const char * | name () const
| A name for debug printing.
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action.
| ~forcing_constraint_action ()
## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, const CoinPresolveAction *next)
## Private Member Functions
| forcing_constraint_action ()
| forcing_constraint_action (const forcing_constraint_action &rhs)
forcing_constraint_action & | operator= (const forcing_constraint_action &rhs)
## Private Attributes
const int | nactions_
const action *const | actions_
## Classes
struct | action

## Detailed Description

Detect and process forcing constraints and useless constraints.

A constraint is useless if the bounds on the variables prevent the constraint from ever being violated.

A constraint is a forcing constraint if the bounds on the constraint force the value of an involved variable to one of its bounds. A constraint can force more than one variable.

Definition at line 26 of file CoinPresolveForcing.hpp.

## Constructor & Destructor Documentation

forcing_constraint_action::forcing_constraint_action | ( |  | ) | `[private]`

forcing_constraint_action::forcing_constraint_action | ( | const forcing_constraint_action & | rhs | ) | `[private]`

forcing_constraint_action::forcing_constraint_action | ( | int | nactions,
|  | const action * | actions,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[inline]`

Definition at line 44 of file CoinPresolveForcing.hpp.

forcing_constraint_action::~forcing_constraint_action | ( |  | ) |

## Member Function Documentation

forcing_constraint_action& forcing_constraint_action::operator= | ( | const forcing_constraint_action & | rhs | ) | `[private]`

const char* forcing_constraint_action::name | ( |  | ) | const`[virtual]`

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

static const CoinPresolveAction* forcing_constraint_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[static]`

void forcing_constraint_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const`[virtual]`

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int forcing_constraint_action::nactions_`[private]`

Definition at line 39 of file CoinPresolveForcing.hpp.

const action* const forcing_constraint_action::actions_`[private]`

Definition at line 41 of file CoinPresolveForcing.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Vol-1.2.0/CoinUtils/src/CoinPresolveForcing.hpp